%define major	7
%define package_name gtkhtml

Summary:	GtkHTML is a HTML rendering/editing library.
Name:		%{package_name}
Version: 	0.8.3
Release:	2mdk
Copyright:	GPL
Group:		Graphical desktop/GNOME
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel libbonobo2-devel esound-devel 
BuildRequires: imlib-devel gdk-pixbuf-devel gnome-print-devel libjpeg-devel oaf-devel libpng-devel 
BuildRequires: popt-devel libtiff-devel libxml-devel zlib-devel libgal4-devel libglibwww-devel
BuildRequires: control-center-devel libGConf1-devel libghttp1-devel
Source0: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/%{package_name}-%{version}.tar.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:   %{package_name}

Requires:	bonobo >= 0.32
Requires:   GConf >= 0.11
# should be pulled by library dependency
#Requires:	oaf >= 0.5.1
#Requires:	glibwww >= 0.2
Requires:	control-center
#Requires:	gnome-print >= 0.24
#Requires:	gal >= 0.2

Requires:	gdk-pixbuf >= 0.8


# Red Hat patches

# Helix patches

%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%{package_name}%{major}
Summary:        Libraries for GtkHTML
Group:          System/Libraries

%description -n lib%{package_name}%{major}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n lib%{package_name}%{major}-devel
Provides:		lib%{package_name}-devel
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/GNOME and GTK+
Requires:       lib%{package_name}%{major} = %{version}

%description -n lib%{package_name}%{major}-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n %{package_name}-%{version}

%build

%configure --with-gconf --with-bonobo
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{package_name}
?package(%{package_name}):command="%{_bindir}/gtkhtml-properties-capplet" \
  needs="gnome" section="Configuration/Gnome" title="HTML Viewer" \
  longtitle="HTML Viewer properties"

EOF

%{find_lang} %{name}


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -p /sbin/ldconfig -n lib%{package_name}%{major}
%postun -p /sbin/ldconfig -n lib%{package_name}%{major}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/bonobo/plugin/*.so
%{_datadir}/gtkhtml
%{_datadir}/gnome/apps/Settings/Documents/*.desktop
%{_datadir}/gnome/ui/*
%{_datadir}/control-center/Documents/*.desktop
%{_datadir}/oaf/*
%{_sysconfdir}/CORBA/servers/*.gnorba
%{_menudir}/*

%files -n lib%{package_name}%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING 
%{_libdir}/*.so.*

%files -n lib%{package_name}%{major}-devel
%defattr(-, root, root)
%{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/gtkhtml
%{_libdir}/*Conf.sh
%{_libdir}/bonobo/plugin/*.*a
%{_datadir}/gnome/html/*

%changelog

* Fri Mar 16 2001 Francis Galiegue <fg@mandrakesoft.com> 0.8.3-2mdk

- BuildRequires: libghttp1-devel

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-1mdk
- Remove patch 0 (merged upstream)
- Release 0.8.3

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-4mdk
- Recompiled with latest glib/gtk/gnomeprint

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-3mdk
- Really remove dependency on libgal.so.3

* Thu Feb 15 2001  <fcrozat@bi.mandrakesoft.com> 0.8.2-2mdk
- Remove buildconflict on libxml2-devel
- Recompiled against latest gal

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Remove patch 0 & 1 (merged upstream)
- New patch 0 : allow compilation by completly renaming GtkHTMLClassProperties struct members.
- Add missing locales

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on GConf (libGConf1 is not enough)

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Patch to compile with last version of bonobo
- Remove dependency on pspell (moved to gnome-spell package)
- Compiled with GConf support

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8
- Correct dependency

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-4mdk
- Rename main package before upgrading (since next version is source
incompatible)

* Fri Dec  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct build requires until upstream has upgrade to new bonobo

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Rebuild with new gcc
- Split package

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- add menu entry

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1 (merged from helix_3 package)
- compiled with pspell support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- BM + macroszification
- compiled without gconf (since its API is not yet stable)
- added missing files for oaf/html-editor-component (needed for Evolution)

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- Packaged for Mandrake

